#ifdef __cplusplus
#include <string>
const std::string shader_2d_textured_frag = R"("
#version 300 es
precision mediump float;

layout (location = 0) out vec4 FragColor;
//layout (location = 1) out vec4 OutMask;
in vec2 uv;
in vec2 pos;

uniform sampler2D tex;
uniform vec4 color;
uniform vec4 use_texture;
//uniform vec4 outline_color;

vec4 linear_iter(vec4 i, vec4 p, float factor){
    return (i + p) * factor;
}

void main() {
    FragColor = (texture(tex, uv) * use_texture) + color;
    //OutMask = outline_color;
    //OutMask.a = FragColor.a;
}

")";
#endif